Bug 435826 - kernel upgrade blows away sas driver module, system unbootable
kernel upgrade blows away sas driver module, system unbootable
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity urgent
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 19:45 EST by Graham Leggett
Modified: 2013-02-25 10:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 10:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2008-03-03 19:45:49 EST
Install an RHEL5 system on an Intel board with onboard LSI SAS controller. Use
Intel provided driver disk to provide the required SAS driver module.

Use yum to update the kernel, reboot the system.

The system panics, as it cannot find the SAS drives to boot from.

Off to the rescue disk, recreate the initrd with mkinitrd, and the system boots.

Looks like the kernel upgrade mkinitrd procedure is toasted.
Comment 1 Prarit Bhargava 2008-05-07 09:34:01 EDT
Graham -- is it possible that you modified /etc/modules.conf ?  Also what
versions of RHEL5 did you upgrade to and from?

Thanks,

P.
Comment 2 Graham Leggett 2008-05-10 09:04:00 EDT
As I recall it was an installation of RHEL5.1 from the installation ISOs. No
changes were made to /etc/modules.conf.

The kernel update was done to bring the system up to date with most recent
updates as per RHN.
Comment 3 Jes Sorensen 2013-02-25 10:49:59 EST
Not been touched since 2008 so I think we can assume problem has gone away
with later releases. If not, please open a new BZ.

Note You need to log in before you can comment on or make changes to this bug.